Index: /orxonox/trunk/Makefile.in
===================================================================
--- /orxonox/trunk/Makefile.in	(revision 3376)
+++ /orxonox/trunk/Makefile.in	(revision 3377)
@@ -125,4 +125,6 @@
 SHELL = @SHELL@
 STRIP = @STRIP@
+SUB_PROJECTS_FALSE = @SUB_PROJECTS_FALSE@
+SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
 ac_ct_CC = @ac_ct_CC@
Index: /orxonox/trunk/configure
===================================================================
--- /orxonox/trunk/configure	(revision 3376)
+++ /orxonox/trunk/configure	(revision 3377)
@@ -312,5 +312,5 @@
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
@@ -867,4 +867,5 @@
   --enable-debug          compiles in debug mode. Lots of debug info about the
                           game.
+  --enable-sub-projects   also builds the subProjects by default
 
 Optional Packages:
@@ -3903,4 +3904,30 @@
 
 
+### SubProject-enable
+def_sdl_image=yes
+echo "$as_me:$LINENO: checking if the SubProjects should be built" >&5
+echo $ECHO_N "checking if the SubProjects should be built... $ECHO_C" >&6
+# Check whether --enable-sub-projects or --disable-sub-projects was given.
+if test "${enable_sub_projects+set}" = set; then
+  enableval="$enable_sub_projects"
+  def_sub_projects=yes
+fi;
+if test "$def_sub_projects" = yes; then
+  echo "yes"
+fi
+if test "$def_sub_projects" = no; then
+  echo "no"
+fi
+
+
+if test x$def_sub_projects = xyes; then
+  SUB_PROJECTS_TRUE=
+  SUB_PROJECTS_FALSE='#'
+else
+  SUB_PROJECTS_TRUE='#'
+  SUB_PROJECTS_FALSE=
+fi
+
+
 ## PROGRAMM CHECKING
 # checking for Doxygen
@@ -7547,5 +7574,6 @@
 
 
-                                                  ac_config_files="$ac_config_files Makefile src/console/Makefile src/gui/Makefile src/Makefile src/importer/Makefile"
+                                                  ac_config_files="$ac_config_files Makefile src/Makefile src/importer/Makefile src/console/Makefile src/gui/Makefile"
+
 
 cat >confcache <<\_ACEOF
@@ -7658,4 +7686,11 @@
 Usually this means the macro was only invoked conditionally." >&5
 echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${SUB_PROJECTS_TRUE}" && test -z "${SUB_PROJECTS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"SUB_PROJECTS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"SUB_PROJECTS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
@@ -8120,8 +8155,8 @@
   # Handling of arguments.
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
+  "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
+  "src/importer/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/importer/Makefile" ;;
   "src/console/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/console/Makefile" ;;
   "src/gui/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/gui/Makefile" ;;
-  "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
-  "src/importer/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/importer/Makefile" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
@@ -8268,4 +8303,6 @@
 s,@EGREP@,$EGREP,;t t
 s,@DEBUG@,$DEBUG,;t t
+s,@SUB_PROJECTS_TRUE@,$SUB_PROJECTS_TRUE,;t t
+s,@SUB_PROJECTS_FALSE@,$SUB_PROJECTS_FALSE,;t t
 s,@DOXYGEN@,$DOXYGEN,;t t
 s,@DOXYGEN_TRUE@,$DOXYGEN_TRUE,;t t
Index: /orxonox/trunk/configure.ac
===================================================================
--- /orxonox/trunk/configure.ac	(revision 3376)
+++ /orxonox/trunk/configure.ac	(revision 3377)
@@ -69,4 +69,18 @@
 
 
+### SubProject-enable
+def_sdl_image=yes
+AC_MSG_CHECKING([if the SubProjects should be built])
+AC_ARG_ENABLE([sub-projects], 
+	AC_HELP_STRING(	[--enable-sub-projects], 
+	[also builds the subProjects by default]), [def_sub_projects=yes]) 
+if test "$def_sub_projects" = yes; then 
+  echo "yes"
+fi 
+if test "$def_sub_projects" = no; then 
+  echo "no"
+fi
+AM_CONDITIONAL(SUB_PROJECTS, test x$def_sub_projects = xyes)
+
 ## PROGRAMM CHECKING
 # checking for Doxygen
@@ -364,7 +378,8 @@
 
 AC_CONFIG_FILES([Makefile
+                 src/Makefile
+		 src/importer/Makefile
 		 src/console/Makefile
-                 src/gui/Makefile
-                 src/Makefile
-		 src/importer/Makefile])
+                 src/gui/Makefile])
+
 AC_OUTPUT
Index: /orxonox/trunk/src/Makefile.am
===================================================================
--- /orxonox/trunk/src/Makefile.am	(revision 3376)
+++ /orxonox/trunk/src/Makefile.am	(revision 3377)
@@ -77,5 +77,6 @@
 		 matrix.h \
 		 curve.h \
-		 glmenu_imagescreen.h
+		 glmenu_imagescreen.h \
+		 debug.h
 
 
@@ -89,9 +90,14 @@
   GTK_PROGS =
 endif
+if SUB_PROJECTS
+  SUB_PROGS = importer \
+	      gui \
+	      $(GTK_PROGS)
+else
+  SUB_PROGS = 
+endif
 
 SUBDIRS = . \
-	  importer \
-	  gui \
-	  $(GTK_PROGS)
+	  $(SUB_PROGS)
 
 #  uncomment the following if orxonox requires the math library
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 3376)
+++ /orxonox/trunk/src/Makefile.in	(revision 3377)
@@ -159,4 +159,6 @@
 SHELL = @SHELL@
 STRIP = @STRIP@
+SUB_PROJECTS_FALSE = @SUB_PROJECTS_FALSE@
+SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
 ac_ct_CC = @ac_ct_CC@
@@ -274,5 +276,6 @@
 		 matrix.h \
 		 curve.h \
-		 glmenu_imagescreen.h
+		 glmenu_imagescreen.h \
+		 debug.h
 
 EXTRA_DIST = orxonox.conf
@@ -281,8 +284,11 @@
 ### GTK_RELATED
 @HAVE_GTK2_TRUE@GTK_PROGS = console
+@SUB_PROJECTS_FALSE@SUB_PROGS = 
+@SUB_PROJECTS_TRUE@SUB_PROGS = importer \
+@SUB_PROJECTS_TRUE@	      gui \
+@SUB_PROJECTS_TRUE@	      $(GTK_PROGS)
+
 SUBDIRS = . \
-	  importer \
-	  gui \
-	  $(GTK_PROGS)
+	  $(SUB_PROGS)
 
 all: all-recursive
Index: /orxonox/trunk/src/console/Makefile.in
===================================================================
--- /orxonox/trunk/src/console/Makefile.in	(revision 3376)
+++ /orxonox/trunk/src/console/Makefile.in	(revision 3377)
@@ -128,4 +128,6 @@
 SHELL = @SHELL@
 STRIP = @STRIP@
+SUB_PROJECTS_FALSE = @SUB_PROJECTS_FALSE@
+SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
 ac_ct_CC = @ac_ct_CC@
Index: /orxonox/trunk/src/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/gui/Makefile.in	(revision 3376)
+++ /orxonox/trunk/src/gui/Makefile.in	(revision 3377)
@@ -135,4 +135,6 @@
 SHELL = @SHELL@
 STRIP = @STRIP@
+SUB_PROJECTS_FALSE = @SUB_PROJECTS_FALSE@
+SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
 ac_ct_CC = @ac_ct_CC@
Index: /orxonox/trunk/src/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/importer/Makefile.in	(revision 3376)
+++ /orxonox/trunk/src/importer/Makefile.in	(revision 3377)
@@ -129,4 +129,6 @@
 SHELL = @SHELL@
 STRIP = @STRIP@
+SUB_PROJECTS_FALSE = @SUB_PROJECTS_FALSE@
+SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
 ac_ct_CC = @ac_ct_CC@