Index: orxonox/trunk/src/debug.h
===================================================================
--- orxonox/trunk/src/debug.h	(revision 3394)
+++ orxonox/trunk/src/debug.h	(revision 3395)
@@ -1,5 +1,32 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+/*! 
+    \file debug.h
+    \brief Handles output to console for different Verbose-Modes.
+*/ 
+
 #ifndef _DEBUG_H
 #define _DEBUG_H
 
+#define NO              0
+#define ERROR           1
+#define WARNING         2
+#define INFORMATION     3
+#define DEBUGING        4
+
+#include <stdio.h>
 
 ///////////////////////////////////////////////////
@@ -12,40 +39,40 @@
            PRINTF ## x
 
-#if DEBUG >= 1
+#if DEBUG >= ERROR
 #define PRINTF1 \
-    if (verbose >= 1 ) \
+    if (verbose >= ERROR) \
       printf("%s:%d::", __FILE__, __LINE__) && printf
 #else 
-#define PRINTF1 //
+#define PRINTF1 if (NO)
 #endif
      
-#if DEBUG >= 2
+#if DEBUG >= WARNING
 #define PRINTF2 \
-     if (verbose >= 2 ) \
+     if (verbose >= WARNING) \
        printf("%s:%d::", __FILE__, __LINE__) && printf
          
 #else 
-#define PRINTF2 //
+#define PRINTF2 if (NO)
 #endif
      
-#if DEBUG >= 3
+#if DEBUG >= INFORMATION
 #define PRINTF3 \
-     if (verbose >= 3 ) \
+     if (verbose >= INFORMATION) \
        printf("%s:%d::", __FILE__, __LINE__) && printf
 #else 
-#define PRINTF3 //
+#define PRINTF3 if (NO)
 #endif
      
-#if DEBUG >= 4
+#if DEBUG >= DEBUGING
 #define PRINTF4 \
-     if (verbose >= 4 ) \
+     if (verbose >= DEBUGING) \
        printf("%s:%d::", __FILE__, __LINE__) && printf
 #else 
-#define PRINTF4 //
+#define PRINTF4 if (NO)
 #endif
      
      
 #else  
-#define PRINTF(x) //
+#define PRINTF(x) if (NO)
 #endif
 
@@ -54,55 +81,52 @@
 
 
-
-
 ///////////////////////////////////////////////////
 ///  PRINT: just prints output as is            ///
 ///////////////////////////////////////////////////
+#ifdef  DEBUG
+extern int verbose;
+#define PRINT(x) \
+  PRINT ## x
 
-#ifdef  DEBUG
-#define PRINT(x) \
-           PRINT ## x
+#if DEBUG >= ERROR
+#define PRINT1	\
+  if (verbose >= ERROR)	\
+    printf
+#else 
+#define PRINT1 if (NO)
+#endif
 
-#if DEBUG >= 1
-#define PRINT1 \
-    if (verbose >= 1 ) \
-      printf
-#else 
-#define PRINT1 //
-#endif
-     
-#if DEBUG >= 2
+#if DEBUG >= WARNING
 #define PRINT2 \
-     if (verbose >= 2 ) \
-       printf
+  if (verbose >= WARNING) \
+    printf
 
 #else 
-#define PRINT2 //
+#define PRINT2 if (NO)
 #endif
-     
-#if DEBUG >= 3
+
+#if DEBUG >= INFORMATION
 #define PRINT3 \
-     if (verbose >= 3 ) \
-       printf
-#else
-#define PRINT3 //
+  if (verbose >= INFORMATION) \
+    printf
+#else 
+#define PRINT3 if (NO)
 #endif
-     
-#if DEBUG >= 4
+
+#if DEBUG >= DEBUGING
 #define PRINT4 \
-     if (verbose >= 4 ) \
-       printf
+  if (verbose >= DEBUGING) \
+    printf
 #else 
-#define PRINT4 //
+#define PRINT4 if (NO)
 #endif
-     
-     
+
+
 #else  
-#define PRINT(x) //
+#define PRINT(x) if (NO)
 #endif
 
 #define PRINT0 \
-           printf
-
+  printf
 
 ///////////////////////////////////////////////////
@@ -118,5 +142,5 @@
       cout
 #else 
-#define COUT1 //
+#define COUT1 if (NO) cout
 #endif
      
@@ -127,5 +151,5 @@
 
 #else 
-#define COUT2 //
+#define COUT2 if (NO) cout
 #endif
      
@@ -135,5 +159,5 @@
        cout
 #else
-#define COUT3 //
+#define COUT3 if (NO) cout
 #endif
      
@@ -143,10 +167,10 @@
        cout
 #else 
-#define COUT4 //
+#define COUT4 if (NO) cout
 #endif
      
      
 #else  
-#define COUT(x) //
+#define COUT(x) if (NO) cout
 #endif
 
Index: orxonox/trunk/src/importer/model.h
===================================================================
--- orxonox/trunk/src/importer/model.h	(revision 3394)
+++ orxonox/trunk/src/importer/model.h	(revision 3395)
@@ -12,5 +12,4 @@
 #include "material.h"
 #include "vector.h"
-#include <fstream>
 
 using namespace std;
@@ -88,5 +87,5 @@
   float scaleFactor;    //!< The Factor with which the Model should be scaled. \todo maybe one wants to scale the Model after Initialisation
 
-  char* objPath;        //!< The Path wher the obj and mtl-file are located.
+  char* objPath;        //!< The Path where the obj and mtl-file are located.
   char* objFileName;    //!< The Name of the obj-file.
   char* mtlFileName;    //!< The Name of the mtl-file (parsed out of the obj-file)