Index: orxonox/branches/nico/configure
===================================================================
--- orxonox/branches/nico/configure	(revision 3391)
+++ orxonox/branches/nico/configure	(revision 3399)
@@ -1,7 +1,7 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for orxonox 0.2.0_alpha-r1.
+# Generated by GNU Autoconf 2.59 for orxonox 0.2.1-pre-alpha.
 #
-# Report bugs to <orxonox-dev@mail.datacore.ch>.
+# Report bugs to <orxonox-dev at mail.datacore.ch>.
 #
 # Copyright (C) 2003 Free Software Foundation, Inc.
@@ -270,7 +270,7 @@
 PACKAGE_NAME='orxonox'
 PACKAGE_TARNAME='orxonox'
-PACKAGE_VERSION='0.2.0_alpha-r1'
-PACKAGE_STRING='orxonox 0.2.0_alpha-r1'
-PACKAGE_BUGREPORT='orxonox-dev@mail.datacore.ch'
+PACKAGE_VERSION='0.2.1-pre-alpha'
+PACKAGE_STRING='orxonox 0.2.1-pre-alpha'
+PACKAGE_BUGREPORT='orxonox-dev at mail.datacore.ch'
 
 ac_unique_file="."
@@ -312,5 +312,5 @@
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
@@ -789,5 +789,5 @@
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures orxonox 0.2.0_alpha-r1 to adapt to many kinds of systems.
+\`configure' configures orxonox 0.2.1-pre-alpha to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
@@ -856,5 +856,5 @@
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of orxonox 0.2.0_alpha-r1:";;
+     short | recursive ) echo "Configuration of orxonox 0.2.1-pre-alpha:";;
    esac
   cat <<\_ACEOF
@@ -867,4 +867,5 @@
   --enable-debug          compiles in debug mode. Lots of debug info about the
                           game.
+  --enable-sub-projects   also builds the subProjects by default
 
 Optional Packages:
@@ -888,5 +889,5 @@
 it to find libraries and programs with nonstandard names/locations.
 
-Report bugs to <orxonox-dev@mail.datacore.ch>.
+Report bugs to <orxonox-dev at mail.datacore.ch>.
 _ACEOF
 fi
@@ -984,5 +985,5 @@
 if $ac_init_version; then
   cat <<\_ACEOF
-orxonox configure 0.2.0_alpha-r1
+orxonox configure 0.2.1-pre-alpha
 generated by GNU Autoconf 2.59
 
@@ -998,5 +999,5 @@
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by orxonox $as_me 0.2.0_alpha-r1, which was
+It was created by orxonox $as_me 0.2.1-pre-alpha, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
@@ -1719,5 +1720,5 @@
 # Define the identity of the package.
  PACKAGE='orxonox'
- VERSION='0.2.0_alpha-r1'
+ VERSION='0.2.1-pre-alpha'
 
 
@@ -3903,4 +3904,30 @@
 
 
+### SubProject-enable
+def_sdl_image=yes
+echo "$as_me:$LINENO: checking if the SubProjects should be built" >&5
+echo $ECHO_N "checking if the SubProjects should be built... $ECHO_C" >&6
+# Check whether --enable-sub-projects or --disable-sub-projects was given.
+if test "${enable_sub_projects+set}" = set; then
+  enableval="$enable_sub_projects"
+  def_sub_projects=yes
+fi;
+if test "$def_sub_projects" = yes; then
+  echo "yes"
+fi
+if test "$def_sub_projects" = no; then
+  echo "no"
+fi
+
+
+if test x$def_sub_projects = xyes; then
+  SUB_PROJECTS_TRUE=
+  SUB_PROJECTS_FALSE='#'
+else
+  SUB_PROJECTS_TRUE='#'
+  SUB_PROJECTS_FALSE=
+fi
+
+
 ## PROGRAMM CHECKING
 # checking for Doxygen
@@ -4167,7 +4194,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -4397,7 +4424,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -4692,7 +4719,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -4878,5 +4905,5 @@
 
 CPPFLAGS="-I/usr/X11R6/include"
-LDFLAGS="-L/usr/Mesa-6.0.1/lib -L/usr/X11R6/lib $LDFLAGS"
+LDFLAGS="-L/usr/lib/opengl/xorg-x11/lib -L/usr/Mesa-6.0.1/lib -L/usr/X11R6/lib $LDFLAGS"
 # checking gl header
 
@@ -5002,7 +5029,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -5036,7 +5063,7 @@
 
 #  checking for Unix GL
-   echo "$as_me:$LINENO: checking for main in -lGL" >&5
-echo $ECHO_N "checking for main in -lGL... $ECHO_C" >&6
-if test "${ac_cv_lib_GL_main+set}" = set; then
+   echo "$as_me:$LINENO: checking for glLoadIdentity in -lGL" >&5
+echo $ECHO_N "checking for glLoadIdentity in -lGL... $ECHO_C" >&6
+if test "${ac_cv_lib_GL_glLoadIdentity+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -5050,9 +5077,15 @@
 /* end confdefs.h.  */
 
-
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char glLoadIdentity ();
 int
 main ()
 {
-main ();
+glLoadIdentity ();
   ;
   return 0;
@@ -5081,10 +5114,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_GL_main=yes
+  ac_cv_lib_GL_glLoadIdentity=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_GL_main=no
+ac_cv_lib_GL_glLoadIdentity=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -5092,7 +5125,7 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_GL_main" >&5
-echo "${ECHO_T}$ac_cv_lib_GL_main" >&6
-if test $ac_cv_lib_GL_main = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_lib_GL_glLoadIdentity" >&5
+echo "${ECHO_T}$ac_cv_lib_GL_glLoadIdentity" >&6
+if test $ac_cv_lib_GL_glLoadIdentity = yes; then
   FOUND_GL=yes
 fi
@@ -5231,7 +5264,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -5465,7 +5498,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -5712,7 +5745,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -5867,7 +5900,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -6051,7 +6084,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -6282,7 +6315,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -6511,7 +6544,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -7022,7 +7055,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -7334,7 +7367,7 @@
     (
       cat <<\_ASBOX
-## ------------------------------------------- ##
-## Report this to orxonox-dev@mail.datacore.ch ##
-## ------------------------------------------- ##
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
 _ASBOX
     ) |
@@ -7547,5 +7580,6 @@
 
 
-                                                  ac_config_files="$ac_config_files Makefile src/console/Makefile src/gui/Makefile src/Makefile src/importer/Makefile"
+                                                  ac_config_files="$ac_config_files Makefile src/Makefile src/importer/Makefile src/console/Makefile src/gui/Makefile"
+
 
 cat >confcache <<\_ACEOF
@@ -7658,4 +7692,11 @@
 Usually this means the macro was only invoked conditionally." >&5
 echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${SUB_PROJECTS_TRUE}" && test -z "${SUB_PROJECTS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"SUB_PROJECTS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"SUB_PROJECTS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
@@ -7946,5 +7987,5 @@
 cat >&5 <<_CSEOF
 
-This file was extended by orxonox $as_me 0.2.0_alpha-r1, which was
+This file was extended by orxonox $as_me 0.2.1-pre-alpha, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
@@ -8009,5 +8050,5 @@
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-orxonox config.status 0.2.0_alpha-r1
+orxonox config.status 0.2.1-pre-alpha
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
@@ -8120,8 +8161,8 @@
   # Handling of arguments.
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
+  "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
+  "src/importer/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/importer/Makefile" ;;
   "src/console/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/console/Makefile" ;;
   "src/gui/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/gui/Makefile" ;;
-  "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
-  "src/importer/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/importer/Makefile" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
@@ -8268,4 +8309,6 @@
 s,@EGREP@,$EGREP,;t t
 s,@DEBUG@,$DEBUG,;t t
+s,@SUB_PROJECTS_TRUE@,$SUB_PROJECTS_TRUE,;t t
+s,@SUB_PROJECTS_FALSE@,$SUB_PROJECTS_FALSE,;t t
 s,@DOXYGEN@,$DOXYGEN,;t t
 s,@DOXYGEN_TRUE@,$DOXYGEN_TRUE,;t t