Index: /orxonox/branches/dave/Makefile.in
===================================================================
--- /orxonox/branches/dave/Makefile.in	(revision 3400)
+++ /orxonox/branches/dave/Makefile.in	(revision 3401)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.8.5 from Makefile.am.
+# Makefile.in generated by automake 1.8.3 from Makefile.am.
 # @configure_input@
 
@@ -318,14 +318,12 @@
 	tags=; \
 	here=`pwd`; \
-	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
+	if (etags --etags-include --version) >/dev/null 2>&1; then \
 	  include_option=--etags-include; \
-	  empty_fix=.; \
 	else \
 	  include_option=--include; \
-	  empty_fix=; \
 	fi; \
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  if test "$$subdir" = .; then :; else \
-	    test ! -f $$subdir/TAGS || \
+	    test -f $$subdir/TAGS && \
 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
 	  fi; \
@@ -337,9 +335,7 @@
 	  $(AWK) '    { files[$$0] = 1; } \
 	       END { for (i in files) print i; }'`; \
-	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
-	  test -n "$$unique" || unique=$$empty_fix; \
-	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	    $$tags $$unique; \
-	fi
+	test -z "$(ETAGS_ARGS)$$tags$$unique" \
+	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	     $$tags $$unique
 ctags: CTAGS
 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
@@ -450,5 +446,5 @@
 	  uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
 	*.shar.gz*) \
-	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
+	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | unshar ;;\
 	*.zip*) \
 	  unzip $(distdir).zip ;;\
Index: /orxonox/branches/dave/src/Makefile.in
===================================================================
--- /orxonox/branches/dave/src/Makefile.in	(revision 3400)
+++ /orxonox/branches/dave/src/Makefile.in	(revision 3401)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.8.5 from Makefile.am.
+# Makefile.in generated by automake 1.8.3 from Makefile.am.
 # @configure_input@
 
@@ -543,14 +543,12 @@
 	tags=; \
 	here=`pwd`; \
-	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
+	if (etags --etags-include --version) >/dev/null 2>&1; then \
 	  include_option=--etags-include; \
-	  empty_fix=.; \
 	else \
 	  include_option=--include; \
-	  empty_fix=; \
 	fi; \
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  if test "$$subdir" = .; then :; else \
-	    test ! -f $$subdir/TAGS || \
+	    test -f $$subdir/TAGS && \
 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
 	  fi; \
@@ -562,9 +560,7 @@
 	  $(AWK) '    { files[$$0] = 1; } \
 	       END { for (i in files) print i; }'`; \
-	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
-	  test -n "$$unique" || unique=$$empty_fix; \
-	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	    $$tags $$unique; \
-	fi
+	test -z "$(ETAGS_ARGS)$$tags$$unique" \
+	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	     $$tags $$unique
 ctags: CTAGS
 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
Index: /orxonox/branches/dave/src/camera.cc
===================================================================
--- /orxonox/branches/dave/src/camera.cc	(revision 3400)
+++ /orxonox/branches/dave/src/camera.cc	(revision 3401)
@@ -171,5 +171,5 @@
 	{
 	  //FIXME: camera should be made via relative coordinates
-	  Vector* cameraOffset = new Vector (-10, 5, 0);
+	  Vector* cameraOffset = new Vector (-15,8, 0);
 	  this->setRelCoor (cameraOffset);
 	} 
Index: /orxonox/branches/dave/src/console/Makefile.in
===================================================================
--- /orxonox/branches/dave/src/console/Makefile.in	(revision 3400)
+++ /orxonox/branches/dave/src/console/Makefile.in	(revision 3401)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.8.5 from Makefile.am.
+# Makefile.in generated by automake 1.8.3 from Makefile.am.
 # @configure_input@
 
@@ -289,9 +289,7 @@
 	  $(AWK) '    { files[$$0] = 1; } \
 	       END { for (i in files) print i; }'`; \
-	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
-	  test -n "$$unique" || unique=$$empty_fix; \
-	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	    $$tags $$unique; \
-	fi
+	test -z "$(ETAGS_ARGS)$$tags$$unique" \
+	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	     $$tags $$unique
 ctags: CTAGS
 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
Index: /orxonox/branches/dave/src/environment.cc
===================================================================
--- /orxonox/branches/dave/src/environment.cc	(revision 3400)
+++ /orxonox/branches/dave/src/environment.cc	(revision 3401)
@@ -59,4 +59,7 @@
   
   glMatrixMode(GL_MODELVIEW);
+  glRotatef(90.0f,0.0f,1.0f,0.0f);
+  glScalef(.5f,.5f,.5f);
+ 
   this->model->draw();
 }
Index: /orxonox/branches/dave/src/gui/Makefile.in
===================================================================
--- /orxonox/branches/dave/src/gui/Makefile.in	(revision 3400)
+++ /orxonox/branches/dave/src/gui/Makefile.in	(revision 3401)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.8.5 from Makefile.am.
+# Makefile.in generated by automake 1.8.3 from Makefile.am.
 # @configure_input@
 
@@ -321,9 +321,7 @@
 	  $(AWK) '    { files[$$0] = 1; } \
 	       END { for (i in files) print i; }'`; \
-	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
-	  test -n "$$unique" || unique=$$empty_fix; \
-	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	    $$tags $$unique; \
-	fi
+	test -z "$(ETAGS_ARGS)$$tags$$unique" \
+	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	     $$tags $$unique
 ctags: CTAGS
 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
Index: /orxonox/branches/dave/src/importer/Makefile.in
===================================================================
--- /orxonox/branches/dave/src/importer/Makefile.in	(revision 3400)
+++ /orxonox/branches/dave/src/importer/Makefile.in	(revision 3401)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.8.5 from Makefile.am.
+# Makefile.in generated by automake 1.8.3 from Makefile.am.
 # @configure_input@
 
@@ -303,9 +303,7 @@
 	  $(AWK) '    { files[$$0] = 1; } \
 	       END { for (i in files) print i; }'`; \
-	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
-	  test -n "$$unique" || unique=$$empty_fix; \
-	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	    $$tags $$unique; \
-	fi
+	test -z "$(ETAGS_ARGS)$$tags$$unique" \
+	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	     $$tags $$unique
 ctags: CTAGS
 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
Index: /orxonox/branches/dave/src/player.cc
===================================================================
--- /orxonox/branches/dave/src/player.cc	(revision 3400)
+++ /orxonox/branches/dave/src/player.cc	(revision 3401)
@@ -27,5 +27,5 @@
 {
 
-  this->model = new Model("../data/models/reaplow.obj");
+  this->model = new Model("../data/models/reaplow.obj",.4f);
   /*
   objectList = glGenLists(1);
@@ -66,5 +66,5 @@
   bUp = bDown = bLeft = bRight = bAscend = bDescend = false;
   bFire = false;
-  acceleration = 10.0;
+  acceleration = 20.0;
   setCollision(new CollisionCluster(1.0, Vector(0,0,0)));
 }
@@ -103,5 +103,5 @@
   glLoadIdentity();
   float matrix[4][4];
-  
+  //glRotatef(90.0f,1.0f,0.0f,0.0f); 
   /* translate */
   glTranslatef (this->getAbsCoor ().x, 
@@ -111,5 +111,5 @@
   this->getAbsDir ().matrix (matrix);
   glMultMatrixf((float*)matrix);
-  
+  glRotatef(angle,1.0f,0.0f,0.0f);
   glMatrixMode(GL_MODELVIEW);
   this->model->draw();
@@ -132,5 +132,7 @@
 void Player::move (float time)
 {
+ 
   Vector accel(0.0, 0.0, 0.0);
+  
   /* FIXME: calculating the direction and orthDirection every timeSlice is redundant! save it somewhere */
   //Placement *pos = getPlacement();
@@ -138,14 +140,20 @@
   /* calculate the direction in which the craft is heading  */
   Vector direction (1.0, 0.0, 0.0);
+    
+  
+  
   //direction = this->absDirection.apply (direction);
   Vector orthDirection (0.0, 0.0, 1.0);
+  
   //orthDirection = orthDirection.cross (direction);
 
-  if( bUp) { accel = accel+(direction*acceleration); }
-  if( bDown) { accel = accel-(direction*acceleration); }
-  if( bLeft ) { accel = accel - (orthDirection*acceleration); }
-  if( bRight ) { accel = accel + (orthDirection*acceleration); }
+  if( bUp) { accel = accel+(direction*acceleration);accelSlipDirection=accel; }
+  if( bDown) { accel = accel-(direction*acceleration);accelSlipDirection=accel; }
+  if( bLeft ) { accel = accel-(orthDirection*acceleration);rotate(time);accelSlip=accel; }
+  if( bRight ) { accel = accel+(orthDirection*acceleration);rotate(time);accelSlip=accel;}
   if( bAscend ) { /* not yet implemented but just: (0,0,1)*acceleration */}
   if( bDescend) {/* FIXME */} /* \todo up and down player movement */
+  if((int)angle!=0&&!bLeft&&!bRight){backRotate(time);accelSlip=accelSlip-slip(time,accelSlip);}
+  if(!bUp&&!bDown){accelSlipDirection=accelSlipDirection-slip(time,accelSlipDirection);}
 
   //Location* l = getLocation();
@@ -159,10 +167,50 @@
   //l->dist = l->dist + travelSpeed * time;
   
-  Vector* shift = new Vector (this->travelSpeed * time, 0, 0);
-  this->shiftCoor (shift);
+  //Vector* shift = new Vector (this->travelSpeed * time, 0, 0);
+  Vector shift(this->travelSpeed*time,0,0);
+  
+  this->shiftCoor (&shift);
   
   /* this updates the player position on the track - user interaction */
   //l->pos = l->pos + accel*time;
+  
   Vector move = accel * time;
   this->shiftCoor (&move);
-}
+  
+}
+void Player::rotate(float time){
+    if(bLeft&&angle>-40.0f){
+	angle=angle-time*200.0f;
+		
+    }
+    if(bRight&&angle<40.0f){
+        angle=angle+time*200.0f;
+		
+    }
+}
+
+void Player::backRotate(float time){
+    if(angle<0){
+    angle=angle+3.0f*(exp(angle*.0015f*time));
+    
+    
+    }
+    if(angle>0){
+    angle=angle-3.0f*(exp(-angle*.0015f*time));
+    
+    
+    }
+
+}
+//When the sidewords movement is finished, the ship will still slip untill it stands still
+Vector Player::slip(float time,Vector accel){
+	Vector move= accel*time;
+	this->shiftCoor(&move);
+	return accel*time*3.0f;
+    
+}
+
+
+
+
+
Index: /orxonox/branches/dave/src/player.h
===================================================================
--- /orxonox/branches/dave/src/player.h	(revision 3400)
+++ /orxonox/branches/dave/src/player.h	(revision 3401)
@@ -32,14 +32,21 @@
   virtual void leftWorld();
   
+  
  private:
   bool bUp, bDown, bLeft, bRight, bAscend, bDescend;
   bool bFire;
+  
   Vector velocity;
+  Vector accelSlip;
+  Vector accelSlipDirection;
   float travelSpeed;
   float acceleration;
+  float angle;
   GLuint objectList;
   
   void move(float time);
-  
+  void rotate(float time);
+  void backRotate(float time);
+  Vector slip (float time,Vector accel);
 };
 
Index: /orxonox/branches/dave/src/world.cc
===================================================================
--- /orxonox/branches/dave/src/world.cc	(revision 3400)
+++ /orxonox/branches/dave/src/world.cc	(revision 3401)
@@ -377,5 +377,5 @@
   int sizeZ = 80;
   float length = 1000;
-  float width = 200;
+  float width = 300;
   float widthX = float (length /sizeX);
   float widthZ = float (width /sizeZ);