Index: /orxonox/branches/dave/src/Makefile.am
===================================================================
--- /orxonox/branches/dave/src/Makefile.am	(revision 3410)
+++ /orxonox/branches/dave/src/Makefile.am	(revision 3411)
@@ -37,5 +37,5 @@
 		 curve.cc \
 		 glmenu_imagescreen.cc\
-		 skybox.cc
+		 skysphere.cc
 
 
@@ -80,5 +80,5 @@
 		 glmenu_imagescreen.h \
 		 debug.h\
-		 skybox.h
+		 skysphere.h
 
 
Index: /orxonox/branches/dave/src/Makefile.in
===================================================================
--- /orxonox/branches/dave/src/Makefile.in	(revision 3410)
+++ /orxonox/branches/dave/src/Makefile.in	(revision 3411)
@@ -238,5 +238,5 @@
 		 curve.cc \
 		 glmenu_imagescreen.cc\
-		 skybox.cc
+		 skysphere.cc
 
 noinst_HEADERS = ability.h \
@@ -280,5 +280,5 @@
 		 glmenu_imagescreen.h \
 		 debug.h\
-		 skybox.h
+		 skysphere.h
 
 EXTRA_DIST = orxonox.conf
Index: /orxonox/branches/dave/src/skysphere.cc
===================================================================
--- /orxonox/branches/dave/src/skysphere.cc	(revision 3411)
+++ /orxonox/branches/dave/src/skysphere.cc	(revision 3411)
@@ -0,0 +1,61 @@
+
+/* Created by Dave, this file is actually quite similar to player.cc and so is 
+    skybox.h similar to player.h
+    With that said, things should be clear:)
+
+
+
+*/
+
+#include "importer/material.h"
+#include "skysphere.h"
+#include "stdincl.h"
+#include "vector.h"
+#include "world_entity.h"
+
+
+using namespace std;
+
+Skysphere::Skysphere()
+{  
+    //GLUquadricObj *sphereObj=0;
+    sphereObj=gluNewQuadric();
+    gluQuadricTexture(sphereObj,GL_TRUE);
+    sky = new Material("Sky");
+    sky->setDiffuseMap("../data/pictures/sky-replace.jpg");
+    sky->setIllum(3);
+
+}
+
+Skysphere::~Skysphere()
+{
+    delete sky;
+    delete sphereObj;
+
+}
+
+void Skysphere::updatePosition(float x,float y,float z)
+{
+    this->a=x;
+    this->b=y;
+    this->c=z;
+}
+
+
+void Skysphere::draw()
+{
+    sky->select();
+    glPushMatrix();
+    glTranslatef(this->a,this->b,this->c);
+    
+    glRotatef(-30,1,0,0);
+    glRotatef(95.0f,0.0f,0.0f,1.0f);
+    glRotatef(-250.0f,0.0,1.0f,0.0f);
+    
+    gluSphere(sphereObj,200.0f,20,20);
+    glPopMatrix();
+
+
+}
+
+
Index: /orxonox/branches/dave/src/skysphere.h
===================================================================
--- /orxonox/branches/dave/src/skysphere.h	(revision 3411)
+++ /orxonox/branches/dave/src/skysphere.h	(revision 3411)
@@ -0,0 +1,35 @@
+#ifndef _SKYBOX_H
+#define _SKYBOX_H
+#include "importer/material.h"
+#include "p_node.h"
+#include "world_entity.h"
+
+class Skysphere: public PNode 
+{
+
+
+private: 
+    GLUquadricObj *sphereObj;
+    float a,b,c;
+    Material *sky;
+    
+
+public:
+   Skysphere();
+   ~Skysphere();
+   
+   
+   
+   
+   void updatePosition(float x,float y,float z);
+   void draw();
+   
+   
+   
+   
+   
+};
+
+#endif
+
+
Index: /orxonox/branches/dave/src/world.cc
===================================================================
--- /orxonox/branches/dave/src/world.cc	(revision 3410)
+++ /orxonox/branches/dave/src/world.cc	(revision 3411)
@@ -28,5 +28,5 @@
 #include "helper_parent.h"
 #include "glmenu_imagescreen.h"
-#include "skybox.h"
+#include "skysphere.h"
 #include "importer/material.h"
 
@@ -292,5 +292,5 @@
 	    
 	    // create skybox
-	    this->skybox =new Skybox();
+	    this->skysphere =new Skysphere();
 	    	    
 	    	    
@@ -389,17 +389,5 @@
   boden->setIllum(3);
   
-  //Initializing the Sky, and loading a Texture into it.
-  //GLUquadricObj *sphereObj=0;
-  //sphereObj=gluNewQuadric();
-  //gluQuadricTexture(sphereObj,GL_TRUE);
-  
-  
-  sky = new Material("Sky");
-  sky->setDiffuseMap("../data/pictures/sky-replace.jpg");
-  sky->setIllum(3);
-  
-  
-  
-  
+    
   objectList = glGenLists(1);
   glNewList (objectList, GL_COMPILE);
@@ -595,6 +583,6 @@
   
   glEnable(GL_TEXTURE_2D);
-  sky->select();
-  skybox->draw();
+  
+  skysphere->draw();
   
 }
@@ -679,5 +667,5 @@
     }
   
-  skybox->updatePosition(localPlayer->absCoordinate.x,localPlayer->absCoordinate.y,localPlayer->absCoordinate.z);
+  skysphere->updatePosition(localPlayer->absCoordinate.x,localPlayer->absCoordinate.y,localPlayer->absCoordinate.z);
   
   //for( int i = 0; i < tracklen; i++) track[i].tick (seconds);
Index: /orxonox/branches/dave/src/world.h
===================================================================
--- /orxonox/branches/dave/src/world.h	(revision 3410)
+++ /orxonox/branches/dave/src/world.h	(revision 3411)
@@ -10,5 +10,5 @@
 #include "stdincl.h"
 #include "story_entity.h"
-#include "skybox.h"
+#include "skysphere.h"
 class Material;
 
@@ -86,6 +86,5 @@
 
   WorldEntity* localPlayer;
-  Skybox* skybox;
-  Material* sky;
+  Skysphere* skysphere;
   PNode* nullParent;
  