Index: orxonox/branches/dave/src/Makefile.am
===================================================================
--- orxonox/branches/dave/src/Makefile.am	(revision 3412)
+++ orxonox/branches/dave/src/Makefile.am	(revision 3416)
@@ -79,5 +79,5 @@
 		 curve.h \
 		 glmenu_imagescreen.h \
-		 debug.h\
+		 debug.h \
 		 skysphere.h
 
Index: orxonox/branches/dave/src/Makefile.in
===================================================================
--- orxonox/branches/dave/src/Makefile.in	(revision 3412)
+++ orxonox/branches/dave/src/Makefile.in	(revision 3416)
@@ -1,3 +1,3 @@
-# Makefile.in generated by automake 1.8.3 from Makefile.am.
+# Makefile.in generated by automake 1.8.5 from Makefile.am.
 # @configure_input@
 
@@ -64,5 +64,5 @@
 	helper_parent.$(OBJEXT) track_manager.$(OBJEXT) \
 	matrix.$(OBJEXT) curve.$(OBJEXT) glmenu_imagescreen.$(OBJEXT) \
-	skybox.$(OBJEXT)
+	skysphere.$(OBJEXT)
 orxonox_OBJECTS = $(am_orxonox_OBJECTS)
 orxonox_LDADD = $(LDADD)
@@ -85,8 +85,9 @@
 @AMDEP_TRUE@	./$(DEPDIR)/null_parent.Po ./$(DEPDIR)/orxonox.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/p_node.Po ./$(DEPDIR)/player.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/skybox.Po ./$(DEPDIR)/story_entity.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/texture.Po ./$(DEPDIR)/track.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/track_manager.Po ./$(DEPDIR)/vector.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/world.Po ./$(DEPDIR)/world_entity.Po
+@AMDEP_TRUE@	./$(DEPDIR)/skysphere.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/story_entity.Po ./$(DEPDIR)/texture.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/track.Po ./$(DEPDIR)/track_manager.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/vector.Po ./$(DEPDIR)/world.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/world_entity.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
@@ -279,5 +280,5 @@
 		 curve.h \
 		 glmenu_imagescreen.h \
-		 debug.h\
+		 debug.h \
 		 skysphere.h
 
@@ -384,5 +385,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/p_node.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/player.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skybox.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skysphere.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/story_entity.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/texture.Po@am__quote@
@@ -547,12 +548,14 @@
 	tags=; \
 	here=`pwd`; \
-	if (etags --etags-include --version) >/dev/null 2>&1; then \
+	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
 	  include_option=--etags-include; \
+	  empty_fix=.; \
 	else \
 	  include_option=--include; \
+	  empty_fix=; \
 	fi; \
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  if test "$$subdir" = .; then :; else \
-	    test -f $$subdir/TAGS && \
+	    test ! -f $$subdir/TAGS || \
 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
 	  fi; \
@@ -564,7 +567,9 @@
 	  $(AWK) '    { files[$$0] = 1; } \
 	       END { for (i in files) print i; }'`; \
-	test -z "$(ETAGS_ARGS)$$tags$$unique" \
-	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	     $$tags $$unique
+	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
+	  test -n "$$unique" || unique=$$empty_fix; \
+	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	    $$tags $$unique; \
+	fi
 ctags: CTAGS
 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
Index: orxonox/branches/dave/src/skysphere.cc
===================================================================
--- orxonox/branches/dave/src/skysphere.cc	(revision 3412)
+++ orxonox/branches/dave/src/skysphere.cc	(revision 3416)
@@ -1,4 +1,19 @@
 
-/* Created by Dave, this file is actually quite similar to player.cc and so is 
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: David Gruetter
+   co-programmer: ...
+
+
+    Created by Dave, this file is actually quite similar to player.cc and so is 
     skybox.h similar to player.h
     With that said, things should be clear:)
@@ -17,4 +32,8 @@
 using namespace std;
 
+/**
+   \brief Standart Constructor
+   \todo second Constructor with char* input for different skies
+*/
 Skysphere::Skysphere()
 {  
@@ -25,7 +44,11 @@
     sky->setDiffuseMap("../data/pictures/sky-replace.jpg");
     sky->setIllum(3);
+    //    sky->setAmbient(1,1,1);
 
 }
 
+/**
+   \brief default destructor
+*/
 Skysphere::~Skysphere()
 {
@@ -35,4 +58,12 @@
 }
 
+/**
+   \brief updates the position of the Skysphere
+   \param x the x-coordinate of the Center of the Sphere
+   \param y the y-coordinate of the Center of the Sphere
+   \param z the z-coordinate of the Center of the Sphere
+
+   This is normally done in the update-phase of world, so the Skysphere is always centered at the Camera.
+*/
 void Skysphere::updatePosition(float x,float y,float z)
 {
@@ -42,5 +73,10 @@
 }
 
+/**
+   \brief draws the Skysphere
 
+   This part is normally precessed in the "Painting Phase".
+*/
+   
 void Skysphere::draw()
 {
Index: orxonox/branches/dave/src/skysphere.h
===================================================================
--- orxonox/branches/dave/src/skysphere.h	(revision 3412)
+++ orxonox/branches/dave/src/skysphere.h	(revision 3416)
@@ -1,28 +1,42 @@
+/*! 
+    \file skysphere.h
+    \brief Definition of the Skysphere, that handles the Display of an atmosphere of orxonox.
+
+    A SkySphere is always centered at the current working Camera, and will only obey the cameras
+    movment but not its rotation.
+
+    \todo self-rotation
+    \todo handle reference to parent-object
+*/
+
 #ifndef _SKYSPHERE_H
 #define _SKYSPHERE_H
+
+
 #include "importer/material.h"
 #include "p_node.h"
 #include "world_entity.h"
 
+//! A Class to handle a SkySphere
 class Skysphere: public PNode 
 {
 
 
-private: 
-    GLUquadricObj *sphereObj;
-    float a,b,c;
-    Material *sky;
-    
-
-public:
-   Skysphere();
-   ~Skysphere();
-   
-   
-   
-   
-   void updatePosition(float x,float y,float z);
-   void draw();
-   
+ private: 
+  GLUquadricObj *sphereObj;
+  float a,b,c;       //!< Parameters to hold the Position of the SkySphere
+  Material *sky;     //!< A Material for the Sky
+  
+  
+ public:
+  Skysphere();
+  ~Skysphere();
+  
+  
+  
+  
+  void updatePosition(float x,float y,float z);
+  void draw();
+  
    
    